commit:     17842faa0a53144fca0ae96c1f7caa11814ef07e
Author:     Nicolas PARLANT <nicolas.parlant <AT> parhuet <DOT> fr>
AuthorDate: Tue Oct 22 22:02:40 2024 +0000
Commit:     Nicolas PARLANT <ppn <AT> parhuet <DOT> fr>
CommitDate: Tue Oct 22 22:02:40 2024 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=17842faa

dev-lua/cqueues: new package, add 20200726

Signed-off-by: Nicolas PARLANT <nicolas.parlant <AT> parhuet.fr>

 dev-lua/cqueues/Manifest                |  1 +
 dev-lua/cqueues/cqueues-20200726.ebuild | 96 +++++++++++++++++++++++++++++++++
 dev-lua/cqueues/metadata.xml            | 11 ++++
 3 files changed, 108 insertions(+)

diff --git a/dev-lua/cqueues/Manifest b/dev-lua/cqueues/Manifest
new file mode 100644
index 000000000..a4309ac2f
--- /dev/null
+++ b/dev-lua/cqueues/Manifest
@@ -0,0 +1 @@
+DIST cqueues-rel-20200726.tar.gz 511659 BLAKE2B 
2e8da34d4818e96d6872d0e544ff39465f4b55527146dd0003a80a4f11be34601fc34a123a8bd7535f3437afb4825ab9995d63141991c0b4c520c365decbaf37
 SHA512 
f2198a2a887bca445fe480949e05ecc94c3112827dbd65d2de0258316beee12f6052fa2670560daab708421e669dde0ac581b365af6bb94a3fc6f322c8bc7547

diff --git a/dev-lua/cqueues/cqueues-20200726.ebuild 
b/dev-lua/cqueues/cqueues-20200726.ebuild
new file mode 100644
index 000000000..05b66b97e
--- /dev/null
+++ b/dev-lua/cqueues/cqueues-20200726.ebuild
@@ -0,0 +1,96 @@
+# Copyright 2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+LUA_COMPAT=( lua5-{1..4} luajit )
+MY_P="${PN}-rel-${PV}"
+
+inherit lua toolchain-funcs
+
+DESCRIPTION="Stackable Continuation Queues"
+HOMEPAGE="http://25thandclement.com/~william/projects/cqueues.html 
https://github.com/wahern/cqueues";
+SRC_URI="https://github.com/wahern/${PN}/archive/rel-${PV}.tar.gz -> 
${MY_P}.tar.gz"
+
+S="${WORKDIR}/${MY_P}"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="examples"
+
+REQUIRED_USE="${LUA_REQUIRED_USE}"
+DEPEND="
+       ${LUA_DEPS}
+       dev-libs/openssl:0=
+"
+RDEPEND="${DEPEND}"
+BDEPEND="virtual/pkgconfig"
+
+DOCS=( "doc/." )
+
+# Thanks to dev-lua/luaossl for workarounds
+
+src_prepare() {
+       default
+
+       sed \
+               -e '/LUAPATH :=/d' \
+               -e '/LUAPATH_FN =/d' \
+               -e '/ALL_LIBS +=/d' \
+               -i GNUmakefile || die
+
+       lua_copy_sources
+}
+
+lua_src_compile() {
+       pushd "${BUILD_DIR}" || die
+
+       if [[ ${ELUA} != luajit ]]; then
+               LUA_VERSION="$(ver_cut 1-2 $(lua_get_version))"
+       else
+               # This is a workaround for luajit, as it confirms to lua5.1
+               # and the 'GNUmakefile' doesn't understand LuaJITs version.
+               LUA_VERSION="5.1"
+       fi
+
+       emake CC="$(tc-getCC)" \
+               ALL_CFLAGS="${CFLAGS} $(lua_get_CFLAGS)" \
+               ALL_CPPFLAGS="${CPPFLAGS} -D_GNU_SOURCE" \
+               ALL_SOFLAGS="${SOFLAGS} -shared" \
+               ALL_LDFLAGS="${LDFLAGS}" \
+               all${LUA_VERSION}
+
+       popd
+}
+
+src_compile() {
+       lua_foreach_impl lua_src_compile
+}
+
+lua_src_install() {
+       pushd "${BUILD_DIR}" || die
+
+       if [[ ${ELUA} != luajit ]]; then
+               LUA_VERSION="$(ver_cut 1-2 $(lua_get_version))"
+       else
+               # This is a workaround for luajit, as it confirms to lua5.1
+               # and the 'GNUmakefile' doesn't understand LuaJITs version.
+               LUA_VERSION="5.1"
+       fi
+
+       emake "DESTDIR=${D}" \
+               "lua${LUA_VERSION/./}cpath=$(lua_get_cmod_dir)" \
+               "lua${LUA_VERSION/./}path=$(lua_get_lmod_dir)" \
+               "prefix=${EPREFIX}/usr" \
+               install${LUA_VERSION}
+
+       popd
+}
+
+src_install() {
+       lua_foreach_impl lua_src_install
+
+       use examples && dodoc -r "examples/."
+       einstalldocs
+}

diff --git a/dev-lua/cqueues/metadata.xml b/dev-lua/cqueues/metadata.xml
new file mode 100644
index 000000000..2635b3090
--- /dev/null
+++ b/dev-lua/cqueues/metadata.xml
@@ -0,0 +1,11 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd";>
+<pkgmetadata>
+       <maintainer type="person">
+               <email>p...@parhuet.fr</email>
+               <name>Nicolas PARLANT</name>
+       </maintainer>
+       <upstream>
+               <remote-id type="github">wahern/cqueues</remote-id>
+       </upstream>
+</pkgmetadata>

Reply via email to